Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksGraphInternal::Style Struct Referencefinal

Internal: the structure used to store a style of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::Style:

## Public Member Functions
| Style ()
| constructor More...
| ~Style () final
| destructor More...
MWAWPosition::Wrapping | getWrapping () const
| returns the wrapping More...
Public Member Functions inherited from MWAWGraphicStyle
| MWAWGraphicStyle ()
| constructor More...
virtual | ~MWAWGraphicStyle ()
| virtual destructor More...
bool | hasLine () const
| returns true if the border is defined More...
void | setSurfaceColor (MWAWColor const &col, float opacity=1)
| set the surface color More...
bool | hasSurfaceColor () const
| returns true if the surface is defined More...
void | setPattern (Pattern const &pat, float opacity=1)
| set the pattern More...
bool | hasPattern () const
| returns true if the pattern is defined More...
bool | hasGradient (bool complex=false) const
| returns true if the gradient is defined More...
bool | hasSurface () const
| returns true if the interior surface is defined More...
void | setBackgroundColor (MWAWColor const &col, float opacity=1)
| set the background color More...
bool | hasBackgroundColor () const
| returns true if the background is defined More...
void | setShadowColor (MWAWColor const &col, float opacity=1)
| set the shadow color More...
bool | hasShadow () const
| returns true if the shadow is defined More...
bool | hasBorders () const
| return true if the frame has some border More...
bool | hasSameBorders () const
| return true if the frame has some border More...
std::vector< MWAWBorder > const & | borders () const
| return the frame border: libmwaw::Left | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::LeftBit|... More...
void | addTo (librevenge::RVNGPropertyList &pList, bool only1d=false) const
| add all the parameters to the propList excepted the frame parameter: the background and the borders More...
void | addFrameTo (librevenge::RVNGPropertyList &pList) const
| add all the frame parameters to propList: the background and the borders More...
int | cmp (MWAWGraphicStyle const &a) const
| compare two styles More...

## Public Attributes
int | m_wrapping
| the wrap type More...
int | m_surfacePatternType
| the surface pattern type More...
Public Attributes inherited from MWAWGraphicStyle
std::vector< float > | m_lineDashWidth
| the dash array: a sequence of (fullsize, emptysize) More...
float | m_lineWidth
| the linewidth More...
LineCap | m_lineCap
| the line cap More...
LineJoin | m_lineJoin
| the line join More...
float | m_lineOpacity
| the line opacity: 0=transparent More...
MWAWColor | m_lineColor
| the line color More...
MWAWColor | m_surfaceColor
| the surface color More...
float | m_surfaceOpacity
| true if the surface has some color More...
MWAWColor | m_shadowColor
| the shadow color More...
float | m_shadowOpacity
| true if the shadow has some color More...
MWAWVec2f | m_shadowOffset
| the shadow offset More...
GradientType | m_gradientType
| the gradient type More...
Pattern | m_pattern
| the pattern if it exists More...
std::vector< GradientStop > | m_gradientStopList
| the list of gradient limits More...
float | m_gradientAngle
| the gradient angle More...
float | m_gradientBorder
| the gradient border opacity More...
MWAWVec2f | m_gradientPercentCenter
| the gradient center More...
float | m_gradientRadius
| the gradient radius More...
MWAWColor | m_backgroundColor
| the background color More...
float | m_backgroundOpacity
| true if the background has some color More...
float | m_rotate
| the rotation More...
std::vector< MWAWBorder > | m_bordersList
| the borders MWAWBorder::Pos (for a frame) More...
std::string | m_frameName
| the frame name More...
std::string | m_frameNextName
| the frame next name (if there is a link) More...
Arrow | m_arrows [2]
| the two arrows corresponding to start and end extremity More...
bool | m_flip [2]
| two bool to indicated we need to flip the shape or not More...
bool | m_fillRuleEvenOdd
| true if the fill rule is evenod More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Style const &st)
| operator<< More...

## Additional Inherited Members
Public Types inherited from MWAWGraphicStyle
enum | LineCap { C_Butt, C_Square, C_Round }
| an enum used to define the basic line cap More...
enum | LineJoin { J_Miter, J_Round, J_Bevel }
| an enum used to define the basic line join More...
enum | GradientType { G_None, G_Axial, G_Linear, G_Radial, G_Rectangular, G_Square, G_Ellipsoid }
| an enum used to define the gradient type More...
Static Public Member Functions inherited from MWAWGraphicStyle
static MWAWGraphicStyle | emptyStyle ()
| returns an empty style. More...

## Detailed Description

Internal: the structure used to store a style of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ Style()

ClarisWksGraphInternal::Style::Style | ( |  | ) |
| inline

constructor

## ◆ ~Style()

ClarisWksGraphInternal::Style::~Style | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getWrapping()

MWAWPosition::Wrapping ClarisWksGraphInternal::Style::getWrapping | ( |  | ) | const
| inline

returns the wrapping

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Style const & | st
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_surfacePatternType

int ClarisWksGraphInternal::Style::m_surfacePatternType

the surface pattern type

## ◆ m_wrapping

int ClarisWksGraphInternal::Style::m_wrapping

the wrap type

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx